> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get timeline event type by ID

> Retrieve a timeline event type by its ID. The response will include event type details such as `name`, `objectType`, and the header and detail templates.

> [accordion] Scope requirements


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json GET /integrations/v1/{application-id}/timeline/event-types/{event-type-id}
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event-types/{event-type-id}:
    get:
      summary: Get timeline event type by ID
      description: >-
        Retrieve a timeline event type by its ID. The response will include
        event type details such as `name`, `objectType`, and the header and
        detail templates.
      operationId: getintegrationsv1applicationidtimelineeventtypeseventtypeid
      responses:
        '200':
          description: >-
            Successful response - Get the custom properties for a specified
            event type
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get timeline event type by id - Example 1
                  value:
                    id: 74
                    name: Another Event Type
                    headerTemplate: null
                    detailTemplate: null
                    objectType: COMPANY
                    applicationId: 123

````